
#include <Wire.h> 
#include <LiquidCrystal_I2C.h>


LiquidCrystal_I2C lcd(0x27, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);  // Set the LCD I2C address

#define ANALOG_Y A1
#define ANALOG_X A0
int ANALX = 0;
int ANALY = 0;
byte LCD_MENU_ITEM=1;        //LCD ITEM BEING CONTROLLED(controls Switch case)
byte CNC_OPERATION=1;        //CNC CURENT OPERATION
          /*
          1) LCD selection
          2) Run the written word
              Parse the word
              run the parsed letters
          3)Run Gcode 
              Select the file ("Gcode.txt")
              run interperateSD
          4)Manual Control
              Move the X Y axis with Z = 1000           
          */
          
int StateX = 1;
int StateY = 0;
HEX VAR = 41; 


void setup()
{


  lcd.begin(20,4);               // initialize the lcd 
  lcd.setCursor ( 3, 0 ); lcd.print("Word To Draw:");
  lcd.setCursor ( 3, 1 ); lcd.print("_ _ _ _ _ _*");
  lcd.setCursor ( 0, 3 ); lcd.print("RUN   GCODE   MANUAL");
}

void loop()
{

   lcd.home ();
 
//   lcd.setCursor ( 0, 0 );
//   lcd.print(LCD_MENU_ITEM);
//   lcd.setCursor ( 0, 1 );
//   lcd.print(StateY); lcd.print("  ");
//   lcd.print(StateX);lcd.print("  ");






// Get XY States?     Make function? 

 ANALX = analogRead(ANALOG_X);
 ANALY = analogRead(ANALOG_Y);

 //////////////// CHANGE POSITION STATE   ---OR--- RUN PROGRAM  with Y Stick///////
 if ((ANALY<200)  && (StateY == 0))
  {StateY =   1;
   //GO DOWN A LETTER    ---OR---     EXECUTE 7 8 9     
 }
  
  if ((ANALY>300)  && (ANALY<700) && ((StateY== -1)||(StateY== 1)))
  { StateY =   0;  
   //DO NOTHING 
 }
  
  if ((ANALY > 800)  && (StateY == 0))
  { StateY =   -1;
   //GO UP A LETTER
  }      
 ///////////////////////////^^^^^^^^^^^^^^^^^^^^///////////////////////  





////////////////// CHANGE LCD_MENU_ITEM with X Stick ////////////////////
  if ((ANALX<200)  && (StateX == 1))
  { StateX =   0;
     //GO DOWN 1 FUNCTION
   if(LCD_MENU_ITEM == 1){
     lcd.setCursor ( 0, 2 );lcd.print("                    ");
     LCD_MENU_ITEM = 9;
   }
   else{
   lcd.setCursor ( 0, 2 );lcd.print("                    ");   
   LCD_MENU_ITEM --;  
   }
 }
  
  if ((ANALX>400)  && (ANALX<600) && (StateX == 0))
  { StateX =   1; 
    //DO NOTHING
    }          
  
  if ((ANALX>800)  && (StateX== 1))
  { StateX =   0;
    //GO UP 1 FUNCTION
       if(LCD_MENU_ITEM == 9){
     lcd.setCursor ( 0, 2 );lcd.print("                    ");
     LCD_MENU_ITEM = 1;
   }
   else{
   lcd.setCursor ( 0, 2 );lcd.print("                    ");
   LCD_MENU_ITEM ++;  
   }
  }
///////////////////////////^^^^^^^^^^^^^^^^^^^^/////////////////////// 
 
 
 
 
 
 switch (LCD_MENU_ITEM) {
    case 1:
      lcd.setCursor ( 3, 2 );lcd.print("^");
      lcd.setCursor ( 3, 1 );lcd.print(VAR,char);
      break;
    case 2:
      lcd.setCursor ( 5, 2 );lcd.print("^");
      break;
    case 3:
      lcd.setCursor ( 7, 2 );lcd.print("^");
      break;
    case 4:
      lcd.setCursor ( 9, 2 );lcd.print("^");
      break;
    case 5:
      lcd.setCursor ( 11, 2 );lcd.print("^");
      break;
    case 6:
      lcd.setCursor ( 13, 2 );lcd.print("^");
      break;
    case 7:
      lcd.setCursor ( 0, 2 );lcd.print("vvv");
      break;
    case 8:
      lcd.setCursor ( 6, 2 );lcd.print("vvvvv");
      break;
    case 9:
      lcd.setCursor ( 14, 2 );lcd.print("vvvvvv");
      break;      
  }
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
}//End of Loop()


